forked from pool/cloud-init
Robert Schweikert
c6ec6841cd
+ fix issue mounting 'ephemeral0' if ephemeral0 was an alias for a partitioned block device with target filesystem on ephemeral0.1. (LP: #1236594) + fix DataSourceAzure incompatibility with 2.6 (LP: #1232175) + fix power_state_change config module so that example works. Improve its documentation and add reference to 'timeout' + support apt-add-archive with 'cloud-archive:' format. (LP: #1244355) + Change SmartOS verb for availability zone (LP: #1249124) + documentation fix for boothooks to use 'cloud-init-per' + fix resizefs module by supporting kernels that do not have /proc/PID/mountinfo. (LP: #1248625) [Tim Daly Jr.] + fix 'make rpm' by removing 0.6.4 entry from ChangeLog (LP: #1241834) + fix omnibus chef installer (LP: #1182265) [Chris Wing] + small fix for OVF datasource for iso transport on non-iso9660 filesystem + determine if upstart version is suitable for 'initctl reload-configuration' (LP: #1124384). If so, then invoke it. supports setting up instance-store disk with partition table and filesystem. + add Azure datasource. + add support for SuSE / SLES [Juerg Haefliger] + add a trailing carriage return to chpasswd input, which reportedly caused a problem on rhel5 if missing. + support individual MIME segments to be gzip compressed (LP: #1203203) + always finalize handlers even if processing failed (LP: #1203368) + support merging into cloud-config via jsonp. (LP: #1200476) + add datasource 'SmartOS' for Joyent Cloud. Adds a dependency on serial. + add 'log_time' helper to util for timing how long things take which also reads from uptime. uptime is useful as clock may change during boot due to ntp. + prefer growpart resizer to 'parted resizepart' (LP: #1212492) OBS-URL: https://build.opensuse.org/package/show/Cloud:Tools/cloud-init?expand=0&rev=4
530 lines
16 KiB
Diff
530 lines
16 KiB
Diff
diff -urN cloud-init-0.7.4.orig/sysvinit/suse/cloud-config cloud-init-0.7.4/sysvinit/suse/cloud-config
|
|
--- cloud-init-0.7.4.orig/sysvinit/suse/cloud-config 1969-12-31 19:00:00.000000000 -0500
|
|
+++ cloud-init-0.7.4/sysvinit/suse/cloud-config 2014-01-04 10:41:15.261034684 -0500
|
|
@@ -0,0 +1,128 @@
|
|
+#!/bin/sh
|
|
+
|
|
+#
|
|
+# Copyright (C) 2012 Yahoo! Inc.
|
|
+# Copyright (C) 2013 SUSE LLC
|
|
+#
|
|
+# Author: Joshua Harlow <harlowja@yahoo-inc.com>
|
|
+# Author: Robert Schweikert <rjschwei@suse.com>
|
|
+#
|
|
+# This program is free software: you can redistribute it and/or modify
|
|
+# it under the terms of the GNU General Public License version 3, as
|
|
+# published by the Free Software Foundation.
|
|
+#
|
|
+# This program is distributed in the hope that it will be useful,
|
|
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
|
|
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
|
|
+# GNU General Public License for more details.
|
|
+#
|
|
+# You should have received a copy of the GNU General Public License
|
|
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
|
|
+#
|
|
+
|
|
+# See: http://wiki.debian.org/LSBInitScripts
|
|
+# See: http://tiny.cc/czvbgw
|
|
+# See: http://www.novell.com/coolsolutions/feature/15380.html
|
|
+# Also based on dhcpd in RHEL (for comparison)
|
|
+
|
|
+### BEGIN INIT INFO
|
|
+# Provides: cloud-config
|
|
+# Required-Start: cloud-init cloud-init-local
|
|
+# Should-Start: $time
|
|
+# Required-Stop: $null
|
|
+# Should-Stop: $null
|
|
+# Default-Start: 2 3 5
|
|
+# Default-Stop: 0 1 6
|
|
+# Short-Description: The config cloud-init job
|
|
+# Description: Start cloud-init and runs the config phase
|
|
+# and any associated config modules as desired.
|
|
+### END INIT INFO
|
|
+
|
|
+# Return values acc. to LSB for all commands but status:
|
|
+# 0 - success
|
|
+# 1 - generic or unspecified error
|
|
+# 2 - invalid or excess argument(s)
|
|
+# 3 - unimplemented feature (e.g. "reload")
|
|
+# 4 - user had insufficient privileges
|
|
+# 5 - program is not installed
|
|
+# 6 - program is not configured
|
|
+# 7 - program is not running
|
|
+# 8--199 - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
|
|
+#
|
|
+# Note that starting an already running service, stopping
|
|
+# or restarting a not-running service as well as the restart
|
|
+# with force-reload (in case signaling is not supported) are
|
|
+# considered a success.
|
|
+
|
|
+RETVAL=0
|
|
+
|
|
+prog="cloud-init"
|
|
+cloud_init="/usr/bin/cloud-init"
|
|
+conf="/etc/cloud/cloud.cfg"
|
|
+
|
|
+# If there exist sysconfig/default variable override files use it...
|
|
+[ -f /etc/sysconfig/cloud-init ] && . /etc/sysconfig/cloud-init
|
|
+[ -f /etc/default/cloud-init ] && . /etc/default/cloud-init
|
|
+
|
|
+. /etc/rc.status
|
|
+rc_reset
|
|
+
|
|
+start() {
|
|
+ [ -x $cloud_init ] || return 5
|
|
+ [ -f $conf ] || return 6
|
|
+
|
|
+ echo -n $"Starting $prog: "
|
|
+ $cloud_init $CLOUDINITARGS modules --mode config
|
|
+ RETVAL=$?
|
|
+ return $RETVAL
|
|
+}
|
|
+
|
|
+stop() {
|
|
+ echo -n $"Shutting down $prog: "
|
|
+ # No-op
|
|
+ RETVAL=7
|
|
+ return $RETVAL
|
|
+}
|
|
+
|
|
+case "$1" in
|
|
+ start)
|
|
+ start
|
|
+ RETVAL=$?
|
|
+ ;;
|
|
+ stop)
|
|
+ stop
|
|
+ RETVAL=$?
|
|
+ ;;
|
|
+ restart|try-restart|condrestart)
|
|
+ ## Stop the service and regardless of whether it was
|
|
+ ## running or not, start it again.
|
|
+ #
|
|
+ ## Note: try-restart is now part of LSB (as of 1.9).
|
|
+ ## RH has a similar command named condrestart.
|
|
+ start
|
|
+ RETVAL=$?
|
|
+ ;;
|
|
+ reload|force-reload)
|
|
+ # It does not support reload
|
|
+ RETVAL=3
|
|
+ ;;
|
|
+ status)
|
|
+ echo -n $"Checking for service $prog:"
|
|
+ # Return value is slightly different for the status command:
|
|
+ # 0 - service up and running
|
|
+ # 1 - service dead, but /var/run/ pid file exists
|
|
+ # 2 - service dead, but /var/lock/ lock file exists
|
|
+ # 3 - service not running (unused)
|
|
+ # 4 - service status unknown :-(
|
|
+ # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
|
|
+ RETVAL=3
|
|
+ ;;
|
|
+ *)
|
|
+ echo "Usage: $0 {start|stop|status|try-restart|condrestart|restart|force-reload|reload}"
|
|
+ RETVAL=3
|
|
+ ;;
|
|
+esac
|
|
+
|
|
+_rc_status=$RETVAL
|
|
+rc_status -v
|
|
+rc_exit
|
|
diff -urN cloud-init-0.7.4.orig/sysvinit/suse/cloud-final cloud-init-0.7.4/sysvinit/suse/cloud-final
|
|
--- cloud-init-0.7.4.orig/sysvinit/suse/cloud-final 1969-12-31 19:00:00.000000000 -0500
|
|
+++ cloud-init-0.7.4/sysvinit/suse/cloud-final 2014-01-04 10:40:57.354381148 -0500
|
|
@@ -0,0 +1,128 @@
|
|
+#!/bin/sh
|
|
+
|
|
+#
|
|
+# Copyright (C) 2012 Yahoo! Inc.
|
|
+# Copyright (C) 2013 SUSE LLC
|
|
+#
|
|
+# Author: Joshua Harlow <harlowja@yahoo-inc.com>
|
|
+# Author: Robert Schweikert <rjschwei@suse.com>
|
|
+#
|
|
+# This program is free software: you can redistribute it and/or modify
|
|
+# it under the terms of the GNU General Public License version 3, as
|
|
+# published by the Free Software Foundation.
|
|
+#
|
|
+# This program is distributed in the hope that it will be useful,
|
|
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
|
|
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
|
|
+# GNU General Public License for more details.
|
|
+#
|
|
+# You should have received a copy of the GNU General Public License
|
|
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
|
|
+#
|
|
+
|
|
+# See: http://wiki.debian.org/LSBInitScripts
|
|
+# See: http://tiny.cc/czvbgw
|
|
+# See: http://www.novell.com/coolsolutions/feature/15380.html
|
|
+# Also based on dhcpd in RHEL (for comparison)
|
|
+
|
|
+### BEGIN INIT INFO
|
|
+# Provides: cloud-final
|
|
+# Required-Start: cloud-config
|
|
+# Should-Start: $time
|
|
+# Required-Stop: $null
|
|
+# Should-Stop: $null
|
|
+# Default-Start: 2 3 5
|
|
+# Default-Stop: 0 1 6
|
|
+# Short-Description: The final cloud-init job
|
|
+# Description: Start cloud-init and runs the final phase
|
|
+# and any associated final modules as desired.
|
|
+### END INIT INFO
|
|
+
|
|
+# Return values acc. to LSB for all commands but status:
|
|
+# 0 - success
|
|
+# 1 - generic or unspecified error
|
|
+# 2 - invalid or excess argument(s)
|
|
+# 3 - unimplemented feature (e.g. "reload")
|
|
+# 4 - user had insufficient privileges
|
|
+# 5 - program is not installed
|
|
+# 6 - program is not configured
|
|
+# 7 - program is not running
|
|
+# 8--199 - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
|
|
+#
|
|
+# Note that starting an already running service, stopping
|
|
+# or restarting a not-running service as well as the restart
|
|
+# with force-reload (in case signaling is not supported) are
|
|
+# considered a success.
|
|
+
|
|
+RETVAL=0
|
|
+
|
|
+prog="cloud-init"
|
|
+cloud_init="/usr/bin/cloud-init"
|
|
+conf="/etc/cloud/cloud.cfg"
|
|
+
|
|
+# If there exist sysconfig/default variable override files use it...
|
|
+[ -f /etc/sysconfig/cloud-init ] && . /etc/sysconfig/cloud-init
|
|
+[ -f /etc/default/cloud-init ] && . /etc/default/cloud-init
|
|
+
|
|
+. /etc/rc.status
|
|
+rc_reset
|
|
+
|
|
+start() {
|
|
+ [ -x $cloud_init ] || return 5
|
|
+ [ -f $conf ] || return 6
|
|
+
|
|
+ echo -n $"Starting $prog: "
|
|
+ $cloud_init $CLOUDINITARGS modules --mode final
|
|
+ RETVAL=$?
|
|
+ return $RETVAL
|
|
+}
|
|
+
|
|
+stop() {
|
|
+ echo -n $"Shutting down $prog: "
|
|
+ # No-op
|
|
+ RETVAL=7
|
|
+ return $RETVAL
|
|
+}
|
|
+
|
|
+case "$1" in
|
|
+ start)
|
|
+ start
|
|
+ RETVAL=$?
|
|
+ ;;
|
|
+ stop)
|
|
+ stop
|
|
+ RETVAL=$?
|
|
+ ;;
|
|
+ restart|try-restart|condrestart)
|
|
+ ## Stop the service and regardless of whether it was
|
|
+ ## running or not, start it again.
|
|
+ #
|
|
+ ## Note: try-restart is now part of LSB (as of 1.9).
|
|
+ ## RH has a similar command named condrestart.
|
|
+ start
|
|
+ RETVAL=$?
|
|
+ ;;
|
|
+ reload|force-reload)
|
|
+ # It does not support reload
|
|
+ RETVAL=3
|
|
+ ;;
|
|
+ status)
|
|
+ echo -n $"Checking for service $prog:"
|
|
+ # Return value is slightly different for the status command:
|
|
+ # 0 - service up and running
|
|
+ # 1 - service dead, but /var/run/ pid file exists
|
|
+ # 2 - service dead, but /var/lock/ lock file exists
|
|
+ # 3 - service not running (unused)
|
|
+ # 4 - service status unknown :-(
|
|
+ # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
|
|
+ RETVAL=3
|
|
+ ;;
|
|
+ *)
|
|
+ echo "Usage: $0 {start|stop|status|try-restart|condrestart|restart|force-reload|reload}"
|
|
+ RETVAL=3
|
|
+ ;;
|
|
+esac
|
|
+
|
|
+_rc_status=$RETVAL
|
|
+rc_status -v
|
|
+rc_exit
|
|
diff -urN cloud-init-0.7.4.orig/sysvinit/suse/cloud-init cloud-init-0.7.4/sysvinit/suse/cloud-init
|
|
--- cloud-init-0.7.4.orig/sysvinit/suse/cloud-init 1969-12-31 19:00:00.000000000 -0500
|
|
+++ cloud-init-0.7.4/sysvinit/suse/cloud-init 2014-01-04 10:40:41.874680652 -0500
|
|
@@ -0,0 +1,129 @@
|
|
+#!/bin/sh
|
|
+
|
|
+#
|
|
+# Copyright (C) 2012 Yahoo! Inc.
|
|
+# Copyright (C) 2013 SUSE LLC
|
|
+#
|
|
+# Author: Joshua Harlow <harlowja@yahoo-inc.com>
|
|
+# Author: Robert Schweikert <rjschwei@suse.com>
|
|
+#
|
|
+# This program is free software: you can redistribute it and/or modify
|
|
+# it under the terms of the GNU General Public License version 3, as
|
|
+# published by the Free Software Foundation.
|
|
+#
|
|
+# This program is distributed in the hope that it will be useful,
|
|
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
|
|
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
|
|
+# GNU General Public License for more details.
|
|
+#
|
|
+# You should have received a copy of the GNU General Public License
|
|
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
|
|
+#
|
|
+
|
|
+# See: http://wiki.debian.org/LSBInitScripts
|
|
+# See: http://tiny.cc/czvbgw
|
|
+# See: http://www.novell.com/coolsolutions/feature/15380.html
|
|
+# Also based on dhcpd in RHEL (for comparison)
|
|
+
|
|
+### BEGIN INIT INFO
|
|
+# Provides: cloud-init
|
|
+# Required-Start: $local_fs $network $named $remote_fs cloud-init-local
|
|
+# Should-Start: $time
|
|
+# Required-Stop: $null
|
|
+# Should-Stop: $null
|
|
+# Default-Start: 2 3 5
|
|
+# Default-Stop: 0 1 6
|
|
+# Short-Description: The initial cloud-init job (net and fs contingent)
|
|
+# Description: Start cloud-init and runs the initialization phase
|
|
+# and any associated initial modules as desired.
|
|
+### END INIT INFO
|
|
+
|
|
+# Return values acc. to LSB for all commands but status:
|
|
+# 0 - success
|
|
+# 1 - generic or unspecified error
|
|
+# 2 - invalid or excess argument(s)
|
|
+# 3 - unimplemented feature (e.g. "reload")
|
|
+# 4 - user had insufficient privileges
|
|
+# 5 - program is not installed
|
|
+# 6 - program is not configured
|
|
+# 7 - program is not running
|
|
+# 8--199 - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
|
|
+#
|
|
+# Note that starting an already running service, stopping
|
|
+# or restarting a not-running service as well as the restart
|
|
+# with force-reload (in case signaling is not supported) are
|
|
+# considered a success.
|
|
+
|
|
+RETVAL=0
|
|
+
|
|
+prog="cloud-init"
|
|
+cloud_init="/usr/bin/cloud-init"
|
|
+conf="/etc/cloud/cloud.cfg"
|
|
+
|
|
+# If there exist sysconfig/default variable override files use it...
|
|
+[ -f /etc/sysconfig/cloud-init ] && . /etc/sysconfig/cloud-init
|
|
+[ -f /etc/default/cloud-init ] && . /etc/default/cloud-init
|
|
+
|
|
+. /etc/rc.status
|
|
+rc_reset
|
|
+
|
|
+start() {
|
|
+ [ -x $cloud_init ] || return 5
|
|
+ [ -f $conf ] || return 6
|
|
+
|
|
+ echo -n $"Starting $prog: "
|
|
+ $cloud_init $CLOUDINITARGS init
|
|
+ RETVAL=$?
|
|
+ return $RETVAL
|
|
+}
|
|
+
|
|
+stop() {
|
|
+ echo -n $"Shutting down $prog: "
|
|
+ # No-op
|
|
+ RETVAL=7
|
|
+ return $RETVAL
|
|
+}
|
|
+
|
|
+case "$1" in
|
|
+ start)
|
|
+ start
|
|
+ RETVAL=$?
|
|
+ ;;
|
|
+ stop)
|
|
+ stop
|
|
+ RETVAL=$?
|
|
+ ;;
|
|
+ restart|try-restart|condrestart)
|
|
+ ## Stop the service and regardless of whether it was
|
|
+ ## running or not, start it again.
|
|
+ #
|
|
+ ## Note: try-restart is now part of LSB (as of 1.9).
|
|
+ ## RH has a similar command named condrestart.
|
|
+ start
|
|
+ RETVAL=$?
|
|
+ ;;
|
|
+ reload|force-reload)
|
|
+ # It does not support reload
|
|
+ RETVAL=3
|
|
+ ;;
|
|
+ status)
|
|
+ echo -n $"Checking for service $prog:"
|
|
+ RETVAL=3
|
|
+ [ -e /root/.ssh/authorized_keys ] && RETVAL=0
|
|
+ # Return value is slightly different for the status command:
|
|
+ # 0 - service up and running
|
|
+ # 1 - service dead, but /var/run/ pid file exists
|
|
+ # 2 - service dead, but /var/lock/ lock file exists
|
|
+ # 3 - service not running (unused)
|
|
+ # 4 - service status unknown :-(
|
|
+ # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
|
|
+ ;;
|
|
+ *)
|
|
+ echo "Usage: $0 {start|stop|status|try-restart|condrestart|restart|force-reload|reload}"
|
|
+ RETVAL=3
|
|
+ ;;
|
|
+esac
|
|
+
|
|
+_rc_status=$RETVAL
|
|
+rc_status -v
|
|
+rc_exit
|
|
diff -urN cloud-init-0.7.4.orig/sysvinit/suse/cloud-init-local cloud-init-0.7.4/sysvinit/suse/cloud-init-local
|
|
--- cloud-init-0.7.4.orig/sysvinit/suse/cloud-init-local 1969-12-31 19:00:00.000000000 -0500
|
|
+++ cloud-init-0.7.4/sysvinit/suse/cloud-init-local 2014-01-04 10:39:53.411618325 -0500
|
|
@@ -0,0 +1,128 @@
|
|
+#!/bin/sh
|
|
+
|
|
+#
|
|
+# Copyright (C) 2012 Yahoo! Inc.
|
|
+# Copyright (C) 2013 SUSE LLC
|
|
+#
|
|
+# Author: Joshua Harlow <harlowja@yahoo-inc.com>
|
|
+# Author: Robert Schweikert <rjschwei@suse.com>
|
|
+#
|
|
+# This program is free software: you can redistribute it and/or modify
|
|
+# it under the terms of the GNU General Public License version 3, as
|
|
+# published by the Free Software Foundation.
|
|
+#
|
|
+# This program is distributed in the hope that it will be useful,
|
|
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
|
|
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
|
|
+# GNU General Public License for more details.
|
|
+#
|
|
+# You should have received a copy of the GNU General Public License
|
|
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
|
|
+#
|
|
+
|
|
+# See: http://wiki.debian.org/LSBInitScripts
|
|
+# See: http://tiny.cc/czvbgw
|
|
+# See: http://www.novell.com/coolsolutions/feature/15380.html
|
|
+# Also based on dhcpd in RHEL (for comparison)
|
|
+
|
|
+### BEGIN INIT INFO
|
|
+# Provides: cloud-init-local
|
|
+# Required-Start: $local_fs $remote_fs
|
|
+# Should-Start: $time
|
|
+# Required-Stop: $null
|
|
+# Should-Stop: $null
|
|
+# Default-Start: 2 3 5
|
|
+# Default-Stop: 0 1 6
|
|
+# Short-Description: The initial cloud-init job (local fs contingent)
|
|
+# Description: Start cloud-init and runs the initialization phases
|
|
+# and any associated initial modules as desired.
|
|
+### END INIT INFO
|
|
+
|
|
+# Return values acc. to LSB for all commands but status:
|
|
+# 0 - success
|
|
+# 1 - generic or unspecified error
|
|
+# 2 - invalid or excess argument(s)
|
|
+# 3 - unimplemented feature (e.g. "reload")
|
|
+# 4 - user had insufficient privileges
|
|
+# 5 - program is not installed
|
|
+# 6 - program is not configured
|
|
+# 7 - program is not running
|
|
+# 8--199 - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
|
|
+#
|
|
+# Note that starting an already running service, stopping
|
|
+# or restarting a not-running service as well as the restart
|
|
+# with force-reload (in case signaling is not supported) are
|
|
+# considered a success.
|
|
+
|
|
+RETVAL=0
|
|
+
|
|
+prog="cloud-init"
|
|
+cloud_init="/usr/bin/cloud-init"
|
|
+conf="/etc/cloud/cloud.cfg"
|
|
+
|
|
+# If there exist sysconfig/default variable override files use it...
|
|
+[ -f /etc/sysconfig/cloud-init ] && . /etc/sysconfig/cloud-init
|
|
+[ -f /etc/default/cloud-init ] && . /etc/default/cloud-init
|
|
+
|
|
+. /etc/rc.status
|
|
+rc_reset
|
|
+
|
|
+start() {
|
|
+ [ -x $cloud_init ] || return 5
|
|
+ [ -f $conf ] || return 6
|
|
+
|
|
+ echo -n $"Starting $prog: "
|
|
+ $cloud_init $CLOUDINITARGS init --local
|
|
+ RETVAL=$?
|
|
+ return $RETVAL
|
|
+}
|
|
+
|
|
+stop() {
|
|
+ echo -n $"Shutting down $prog: "
|
|
+ # No-op
|
|
+ RETVAL=7
|
|
+ return $RETVAL
|
|
+}
|
|
+
|
|
+case "$1" in
|
|
+ start)
|
|
+ start
|
|
+ RETVAL=$?
|
|
+ ;;
|
|
+ stop)
|
|
+ stop
|
|
+ RETVAL=$?
|
|
+ ;;
|
|
+ restart|try-restart|condrestart)
|
|
+ ## Stop the service and regardless of whether it was
|
|
+ ## running or not, start it again.
|
|
+ #
|
|
+ ## Note: try-restart is now part of LSB (as of 1.9).
|
|
+ ## RH has a similar command named condrestart.
|
|
+ start
|
|
+ RETVAL=$?
|
|
+ ;;
|
|
+ reload|force-reload)
|
|
+ # It does not support reload
|
|
+ RETVAL=3
|
|
+ ;;
|
|
+ status)
|
|
+ echo -n $"Checking for service $prog:"
|
|
+ # Return value is slightly different for the status command:
|
|
+ # 0 - service up and running
|
|
+ # 1 - service dead, but /var/run/ pid file exists
|
|
+ # 2 - service dead, but /var/lock/ lock file exists
|
|
+ # 3 - service not running (unused)
|
|
+ # 4 - service status unknown :-(
|
|
+ # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
|
|
+ RETVAL=3
|
|
+ ;;
|
|
+ *)
|
|
+ echo "Usage: $0 {start|stop|status|try-restart|condrestart|restart|force-reload|reload}"
|
|
+ RETVAL=3
|
|
+ ;;
|
|
+esac
|
|
+
|
|
+_rc_status=$RETVAL
|
|
+rc_status -v
|
|
+rc_exit
|